<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetRevisionGeneratorInfo Method (IEdmFile5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetRevisionGeneratorInfo Method (IEdmFile5)

Visual Basic
C#
C++/CLI
Gets information about this file for the revision generator.

# Syntax

Visual Basic |
--- | ---

    Function GetRevisionGeneratorInfo( _
       ByRef pbIncrementMenu As System.Boolean _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetRevisionGeneratorInfo(
       out System.bool pbIncrementMenu
    )

C++/CLI |
--- | ---

    System.bool GetRevisionGeneratorInfo(
    &   [Out] System.bool pbIncrementMenu
    )

#### Parameters

pbIncrementMenu
  True if there should be an Increment Revision menu item in the context menu of this file, false if not

#### Return Value

True if there is a revision number generator set up for the file's current state in the workflow, false if not

# Remarks

This method exists mainly for internal purposes.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_END_OF_REV_GEN_LIST_STOP: It is not possible to increment revision on this file, because SOLIDWORKS PDM Professional has reached the end of the revision list that was set up in the Workflow Editor.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2